import React from 'react';
import { Text, Box } from 'ink';
import stripAnsi from 'strip-ansi';
const Fallback = () => {
  return /*#__PURE__*/React.createElement(Text, null, "Loading...");
};
const app = ({
  commands,
  interfaces
}) => {
  const command = stripAnsi(commands.shift() ?? 'docs');
  const Interface = interfaces.get(command).default;
  return /*#__PURE__*/React.createElement(React.Suspense, {
    fallback: /*#__PURE__*/React.createElement(Fallback, null)
  }, /*#__PURE__*/React.createElement(Box, {
    flexDirection: "column",
    padding: 1
  }, /*#__PURE__*/React.createElement(Interface, null)));
};
export default app;